OpenVDB: RootData< ChildT >::TileIter< DataT > Class Template Reference

OpenVDB 12.1.0

Loading...
Searching...
No Matches
RootData< ChildT >::TileIter< DataT > Class Template Reference

`#include <nanovdb/NanoVDB.h>`

## Public Member Functions
__hostdev__ | TileIter ()
__hostdev__ | TileIter (DataT *data, uint32_t pos=0)
__hostdev__ | operator bool () const
__hostdev__ auto | pos () const
__hostdev__ TileIter & | operator++ ()
__hostdev__ TileT & | operator* () const
__hostdev__ TileT * | operator-> () const
__hostdev__ DataT * | data () const
__hostdev__ bool | isChild () const
__hostdev__ bool | isValue () const
__hostdev__ bool | isValueOn () const
__hostdev__ NodeT * | child () const
__hostdev__ ValueT | value () const

## Protected Types
using | TileT = typename util::match_const<Tile, DataT>::type
using | NodeT = typename util::match_const<ChildT, DataT>::type

## Protected Attributes
TileT * | mBegin
TileT * | mPos
TileT * | mEnd

## Member Typedef Documentation

## ◆ NodeT

template<typename ChildT>
template<typename DataT>

using NodeT = typename util::match_const<ChildT, DataT>::type
| protected

## ◆ TileT

template<typename ChildT>
template<typename DataT>

using TileT = typename util::match_const<Tile, DataT>::type
| protected

## Constructor & Destructor Documentation

## ◆ TileIter() [1/2]

template<typename ChildT>
template<typename DataT>

__hostdev__ TileIter | ( |  | ) |
| inline

## ◆ TileIter() [2/2]

template<typename ChildT>
template<typename DataT>

__hostdev__ TileIter | ( | DataT * | data,
|  | uint32_t | pos = 0 )
| inline

## Member Function Documentation

## ◆ child()

template<typename ChildT>
template<typename DataT>

__hostdev__ NodeT * child | ( |  | ) | const
| inline

## ◆ data()

template<typename ChildT>
template<typename DataT>

__hostdev__ DataT * data | ( |  | ) | const
| inline

## ◆ isChild()

template<typename ChildT>
template<typename DataT>

__hostdev__ bool isChild | ( |  | ) | const
| inline

## ◆ isValue()

template<typename ChildT>
template<typename DataT>

__hostdev__ bool isValue | ( |  | ) | const
| inline

## ◆ isValueOn()

template<typename ChildT>
template<typename DataT>

__hostdev__ bool isValueOn | ( |  | ) | const
| inline

## ◆ operator bool()

template<typename ChildT>
template<typename DataT>

__hostdev__ operator bool | ( |  | ) | const
| inline

## ◆ operator*()

template<typename ChildT>
template<typename DataT>

__hostdev__ TileT & operator* | ( |  | ) | const
| inline

## ◆ operator++()

template<typename ChildT>
template<typename DataT>

__hostdev__ TileIter & operator++ | ( |  | ) |
| inline

## ◆ operator->()

template<typename ChildT>
template<typename DataT>

__hostdev__ TileT * operator-> | ( |  | ) | const
| inline

## ◆ pos()

template<typename ChildT>
template<typename DataT>

__hostdev__ auto pos | ( |  | ) | const
| inline

## ◆ value()

template<typename ChildT>
template<typename DataT>

__hostdev__ ValueT value | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ mBegin

template<typename ChildT>
template<typename DataT>

TileT* mBegin
| protected

## ◆ mEnd

template<typename ChildT>
template<typename DataT>

TileT * mEnd
| protected

## ◆ mPos

template<typename ChildT>
template<typename DataT>

TileT * mPos
| protected